Subject: Re: Volunteer needed : Re: Would setting the CONFIG_RTC option break the powerpc kernel on your machine ?

From: Tom Rini <[email-masked]>
Date: Thu, 8 Jan 2004 08:53:31 -0700

On Wed, Jan 07, 2004 at 10:27:33PM -0900, Ethan Benson wrote:

> On Wed, Jan 07, 2004 at 03:47:44PM +0100, Sven Luther wrote:
> >
> > The worse that can happen is the GENERIC_RTC driver not being
> > initialized because linux believes the RTC driver should be ok.
>
> which breaks hwclock, not acceptable.

This is getting _much_ uglier, but how about:
1) Modify genrtc.c and rtc.c so that they do _not_ initalize on their
own.
2) Create a 'dummy_rtc.c' driver that just tests _machine and calls
rtc.c's init bits on chrp (or just pegasos) and genrtc's bits otherwise.

And again, this is ugly ugly ugly, and I disavow any knowledge of
typing the above.

--
Tom Rini
http://gate.crashing.org/~trini/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/